<template>
    <form @submit.prevent>
        <div class="form__header">
            <h1 class="form__title">Change your password</h1>
            <h2 class="form__clue">Please type your new password</h2>
        </div>

        <div class="form__body">
            <div class="form__input">
                <AhInput
                    label="Enter your current password"
                    placeholder="Current password"
                    type="password"
                    v-model="oldPassword"
                    visibility-control
                />
            </div>
            <div class="form__input">
                <AhInput
                    label="Enter your new password"
                    type="password"
                    placeholder="New password"
                    v-model="newPassword"
                    visibility-control
                />
            </div>
            <div class="form__input">
                <AhInput
                    label="Repeat your new password"
                    type="password"
                    placeholder="Repeat new password"
                    v-model="newPasswordConfirmation"
                    visibility-control
                />
            </div>
            <div class="form__buttons">
                <div class="form__button">
                    <AhButton>
                        Continue
                    </AhButton>
                </div>
                <router-link to="/forgot" class="form__link">Forgot password?</router-link>
            </div>
        </div>
    </form>
</template>

<script>

import AhInput from "@/components/AhInput";
import AhButton from "@/components/AhButton";
import useVuelidate from "@vuelidate/core";
import { helpers, required, sameAs } from "@vuelidate/validators";

export default {
    name: "ResetPassword",
    components: {AhButton, AhInput},
    setup() {
        return {
            v$: useVuelidate(),
        }
    },
    data() {
        return {
            oldPassword: null,
            newPassword: null,
            newPasswordConfirmation: null
        }
    },
    validations() {
        return {
            oldPassword: {
                required: helpers.withMessage('Please enter your current password', required),
            },
            newPassword: {
                required: helpers.withMessage('Please enter your new password', required),
            },
            newPasswordConfirmation: {
                sameAs: helpers.withMessage('Password confirmation must match with new password', sameAs(this.newPassword)),
            },
        }
    },

}

</script>

<style lang="scss" scoped>

form {
    max-width: 400px;

    display: flex;
    flex-direction: column;
    justify-items: center;
}

.form__title {
    font-family: 'Lato';
    font-style: normal;
    font-weight: 700;
    font-size: 50px;
    line-height: 60px;
    margin-bottom: 0px;
    min-width: 579px;

    color: #FFFFFF;
}

.form__clue {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 140%;
    margin: 11px 0 20px 0;

    color: #FFFFFF;

}

.form__clue a {
    font-family: 'Inter';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
    align-items: center;
    text-align: center;

    color: $hsl-color-orange

}

.form__header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.form__input {
    padding-bottom: 24px;
}

.form__buttons {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.form__link {

    font-family: 'Inter';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;

    display: flex;
    align-items: center;
    text-align: center;
    text-decoration-line: underline;

    margin-top: 24px;
    color: #FFDA3E;

}

</style>